1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Upgrade to Plesk 10.4.4 fail on mysql

Discussion in 'Plesk 9.x for Windows Issue, Fixes, How-To' started by TanyaStw, Apr 4, 2012.

  1. TanyaStw

    TanyaStw New Pleskian

    12
    60%
    Joined:
    Apr 4, 2012
    Messages:
    1
    Likes Received:
    0
    We tried to upgrade our plesk server from 9.2 to 10.4.4. The upgrade failed while updating Mysql. We get the following errors:

    MSI: Error! Critical action 'Configuring MySQL Service...' has been failed:
    Command "C:\Program Files\Parallels\Plesk\admin\bin\mysqlmng.exe" --repair-local-service failed with code 1.
    Output:
    The process terminated unexpectedly. (Error code 1067) at Start service MySQL
    Failed to install 'C:\ParallelsInstaller\parallels\PANEL-WIN_10.4.4\dist-msi-Microsoft-2003-i386\mysql-server-configurator.msi': Fatal error during installation. (Error code 1603)
    Error: Action sequence 'install: configuring MySQL server...' of package 'mysql-server-configurator' has been failed with code 1603

    What can we do?

    Thanks.
     
  2. Rick Swanson

    Rick Swanson New Pleskian

    15
    80%
    Joined:
    Aug 21, 2010
    Messages:
    6
    Likes Received:
    0
    Tanya,

    Did you ever get this resolved? I'm thinking of upgrading my 9.2.2 box to 10.4 also, and I'm scared out of my mind to do it, because of the way everything breaks when upgrading in plesk. I'd like to know how your upgrade went.

    Thanks,

    Rick
     
  3. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,244
    Location:
    Novosibirsk, Russia
  4. Rick Swanson

    Rick Swanson New Pleskian

    15
    80%
    Joined:
    Aug 21, 2010
    Messages:
    6
    Likes Received:
    0
    Thanks for the quick reply Igor.

    I ran the preupgrade for 10.4 and it gave me these errors:

    [2012-05-15 01:37:39][WARNING] You have 5 clients who are free to manage resourc
    es on their domains themselves within the resource limits that you gave them. In
    Plesk 10.x the resources are defined in a subscription. The Customer cannot red
    istribute resources between his/her subscriptions. If you want to leave the same
    degree of flexibility for these Customers, you should consider converting them
    to Resellers after upgrade.

    [2012-05-15 01:37:39][WARNING] Your have 3 clients with Domain Administrators de
    fined on more than one domain. After transitions these Clients will have problem
    s, because in Plesk 10.x users belonging to a Customer have access to all Custom
    erΓÇÖs subscriptions. You will avoid the problem if after upgrade the Clients wi
    ll be upgraded to Resellers and Domain Administrators to the Customers.
    [2012-05-15 01:37:39][INFO] See details in log C:\Program Files\SWsoft\Plesk\Add
    itional\PleskPHP5/admin_clients_have_domain_administators.log
    [2012-05-15 01:37:39][INFO] Result: Warning


    [2012-05-15 01:37:43][WARNING] You have 46 mailbox users that will be converted
    to subscription-level auxiliary users after upgrading to Panel 10. Learn how to
    change passwords for such users in http://kb.parallels.com/en/9454

    [2012-05-15 01:37:44][WARNING] Unknown ISAPI filter detected in IIS: AuthentiX
    [2012-05-15 01:37:44][WARNING] Please read carefully article http://kb.parallels
    .com/en/111908, for avoiding possible problems caused by unknown ISAPI filters.
    [2012-05-15 01:37:44][INFO] Result: Warning

    [2012-05-15 01:37:44][WARNING] After upgrade you have to add write pemissions to
    psacln group on folder C:\inetpub\mailroot\pickup. Please, check http://kb.para
    llels.com/en/111194 for more details.
    [2012-05-15 01:37:44][INFO] Result: Warning


    Found errors: 0; Found Warnings: 6


    everything else was ok.

    It seems like most of these errors are administrative issue that won't effect service. The ISAPI filter issue will be going away before the upgrade. The customer now knows how to use password protected directories...

    I've gone through the KB articles in the errors, and nothing seems to be anything that can be avoided until after upgrade. The server only has about 50 domains on it, but a few of them are important.

    Is there anything you would look at before running an upgrade, besides the usual backups and finger crossing?
     
Loading...